@(threadForm: Form[ThreadDTO.ThreadCad])(implicit request: RequestHeader, messagesProvider: MessagesProvider)

@if(threadForm.hasGlobalErrors) {
  <ul>
  @for(error <- threadForm.globalErrors) {
    <li>@error.format</li>
  }
  </ul>
}

@request.flash.data.map{ case (name, value) =>
    <div class="@name">@value</div>
}

@import helper._

@main("Thread") {

<div class="formcreate">
    @helper.form(action = routes.ThreadController.createThread(), 'id -> "threadForm") {
      @CSRF.formField           
      @helper.inputText(threadForm("titulo"), '_label -> "Titulo:",'_showConstraints -> false)
      <button type="submit">Cadastrar</button>
    }
</div>

}
